Skip to main content
GET
/
projects
/
{project_id}
/
artifacts
/
versions
/
{version}
Get learn-agent artifact version
curl --request GET \
  --url https://api.example.com/projects/{project_id}/artifacts/versions/{version} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "run_id": "<string>",
  "agent_name": "<string>",
  "knowledge_md": "<string>",
  "mermaid": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID

version
string
required

Learn-agent artifact version

Query Parameters

agent_name
string

Optional agent name used to scope learn-agent artifacts. Empty selects untagged artifacts.

Response

Learn-agent artifact version

version
number
required
run_id
string
required
agent_name
string | null
required
knowledge_md
string
required
mermaid
string
required
created_at
string
required
updated_at
string
required